from enum import Enum


class MailSMTPAuthType(str, Enum):
    AUTODISCOVER = "AUTODISCOVER"
    CRAM_MD5 = "CRAM-MD5"
    CUSTOM = "CUSTOM"
    LOGIN = "LOGIN"
    LOGIN_NOENC = "LOGIN-NOENC"
    NOAUTH = "NOAUTH"
    PLAIN = "PLAIN"
    PLAIN_NOENC = "PLAIN-NOENC"
    SCRAM_SHA_1 = "SCRAM-SHA-1"
    SCRAM_SHA_1_PLUS = "SCRAM-SHA-1-PLUS"
    SCRAM_SHA_256 = "SCRAM-SHA-256"
    SCRAM_SHA_256_PLUS = "SCRAM-SHA-256-PLUS"
    XOAUTH2 = "XOAUTH2"

    def __str__(self) -> str:
        return str(self.value)
